## ipe 7.1.10

=== src/Makefile ===
# --------------------------------------------------------------------
# Makefile for building all components of Ipe
# --------------------------------------------------------------------

GOAL ?= all

ifdef IPECROSS
IPEQVORONOI = 1
endif

subdirs = \
	ipelib \
	ipelets/lua \
	ipetoipe \
	ipe6upgrade \
	ipeextract \
	ipescript \
	ipecairo \
	iperender \
	ipecanvas \
	ipeview \
	ipelua \
	ipeui \
	ipe


ifdef IPEQVORONOI
subdirs += ipelets/qvoronoi
endif

.PHONY: all $(subdirs)

all: $(subdirs)

ipetoipe: ipelib
ipelets/kgon: ipelib
ipelets/qvoronoi: ipelib
ipe6upgrade: ipelib
ipeextract: ipelib
ipecairo: ipelib
iperender: ipelib ipecairo
ipecanvas: ipelib ipecairo
ipeview: ipecanvas
ipelua: ipelib
ipescript: ipelib ipelua
ipe: ipecanvas ipelua

$(subdirs):
	$(MAKE) --directory=$@ $(GOAL)

.PHONY: clean install
clean:
	$(MAKE)	GOAL=clean

install: all
	$(MAKE) GOAL=install

app: all
	$(MAKE) --directory=ipelets/lua app
	$(MAKE) --directory=ipe app

# --------------------------------------------------------------------

=== src/ipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe
include ../common.mak

TARGET = $(call exe_target,ipe)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo -I../ipelua \
	-I../ipeui \
	$(LUA_CFLAGS) $(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS) $(DL_LIBS)

ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
else
CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
CPPFLAGS += -DIPELUADIR=\"$(IPELUADIR)\"
CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
endif

all: $(TARGET)

sources	= tools.cpp appui.cpp uilua.cpp 
qt_sources = main_qt.cpp appui_qt.cpp controls_qt.cpp 
moc_headers = appui_qt.h controls_qt.h
win_sources = main_win.cpp appui_win.cpp pathview_win.cpp pagesorter_win.cpp
gtk_sources = main_gtk.cpp appui_gtk.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

$(TARGET): $(objects) $(resource)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

RESOURCES = $(BUILDDIR)/Ipe.app/Contents/Resources

ifdef IPEBUNDLE

app:
	$(INSTALL_DIR) $(RESOURCES)/scripts
	$(INSTALL_DIR) $(RESOURCES)/lua
	$(INSTALL_DIR) $(RESOURCES)/styles
	$(INSTALL_DIR) $(RESOURCES)/icons
	$(INSTALL_DIR) $(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCES)/scripts
	$(INSTALL_FILES) lua/*.lua $(RESOURCES)/lua
	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCES)/styles
	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCES)/styles
	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCES)/styles
	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCES)/styles
	$(INSTALL_FILES) icons/*.png $(RESOURCES)/icons
	$(INSTALL_FILES) Info.plist $(BUILDDIR)/Ipe.app/Contents
	$(INSTALL_FILES) ipe.icns $(RESOURCES)
	$(INSTALL_FILES) ../../build/doc/* \
		$(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
	$(INSTALL_PROGRAMS) ipe.sh $(BUILDDIR)/Ipe.app/Contents/MacOS

# This is for building a distributable bundle,
# and assumes a specific build setup:

distribution:
	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpng16.16.dylib $(buildlib)
	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpixman-1.0.dylib $(buildlib)
	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libfreetype.6.dylib $(buildlib)
	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libcairo.2.dylib $(buildlib)
	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/liblua53.dylib $(buildlib)

else

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEDOCDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELUADIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESTYLEDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESCRIPTDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/presentation.isy \
			 $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

endif

# --------------------------------------------------------------------

=== src/ipecairo/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecairo
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecairo
include ../common.mak

TARGET = $(call dll_target,ipecairo)
MAKE_SYMLINKS = $(call dll_symlinks,ipecairo)
SONAME = $(call soname,ipecairo)
INSTALL_SYMLINKS = $(call install_symlinks,ipecairo)

CPPFLAGS += -I../include $(CAIRO_CFLAGS) $(FREETYPE_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CAIRO_LIBS) $(FREETYPE_LIBS)
ifdef WIN32
LIBS += -lgdiplus
endif
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= \
	ipecairopainter.cpp \
	ipefonts.cpp	\
	ipestdfonts.cpp	\
	ipethumbs.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipecanvas/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipe::Canvas
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecanvas
include ../common.mak

TARGET = $(call dll_target,ipecanvas)
MAKE_SYMLINKS = $(call dll_symlinks,ipecanvas)
SONAME = $(call soname,ipecanvas)
INSTALL_SYMLINKS = $(call install_symlinks,ipecanvas)

CPPFLAGS += -I../include -I../ipecairo $(CAIRO_CFLAGS) $(UI_CFLAGS)
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS) $(UI_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= ipetool.cpp ipecanvas.cpp
win_sources = ipecanvas_win.cpp ipeselector_win.cpp
gtk_sources = ipecanvas_gtk.cpp ipeselector_gtk.cpp
qt_sources = ipecanvas_qt.cpp ipeselector_qt.cpp
moc_headers = ipecanvas_qt.h ipeselector_qt.h

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) *.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelib/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipelib
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelib
include ../common.mak

TARGET = $(call dll_target,ipe)
MAKE_SYMLINKS = $(call dll_symlinks,ipe)
SONAME = $(call soname,ipe)
INSTALL_SYMLINKS = $(call install_symlinks,ipe)

CPPFLAGS += -I../include  
ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
else
CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
endif
CPPFLAGS += $(IPE_USE_ICONV) $(ZLIB_CFLAGS) $(ICONV_CFLAGS) \
	$(JPEG_CFLAGS) $(PNG_CFLAGS)
CXXFLAGS += $(DLL_CFLAGS)
LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(ICONV_LIBS) $(PNG_LIBS)

all: $(TARGET)

sources	= \
	ipebase.cpp \
	ipeplatform.cpp \
	ipegeo.cpp \
	ipexml.cpp \
	ipeattributes.cpp \
	ipebitmap.cpp \
	ipeshape.cpp \
	ipegroup.cpp \
	ipeimage.cpp \
	ipetext.cpp \
	ipepath.cpp \
	ipereference.cpp \
	ipeobject.cpp \
	ipefactory.cpp \
	ipestdstyles.cpp \
	ipeiml.cpp \
	ipepage.cpp \
	ipepainter.cpp \
	ipetoolbase.cpp \
	ipepdfparser.cpp \
	ipepdfwriter.cpp \
	ipestyle.cpp \
	ipesnap.cpp \
	ipeutils.cpp \
	ipelatex.cpp \
	ipedoc.cpp

ifdef WIN32
sources += ipebitmap_win.cpp
else
sources += ipebitmap_unix.cpp
endif

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) ../include/*.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipeui
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeui
include ../common.mak

TARGET = $(call dll_target,ipeui)
MAKE_SYMLINKS = $(call dll_symlinks,ipeui)
SONAME = $(call soname,ipeui)
INSTALL_SYMLINKS = $(call install_symlinks,ipeui)

CPPFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS)
LIBS += $(UI_LIBS) $(LUA_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources = ipeui_common.cpp 
qt_sources = ipeui_qt.cpp
moc_headers = ipeui_qt.h
win_sources = ipeui_win.cpp
gtk_sources = ipeui_gtk.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeview/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipeview
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeview
include ../common.mak

TARGET = $(call exe_target,ipeview)

CPPFLAGS += -I../include -I../ipecairo -I../ipecanvas \
	$(UI_CFLAGS) $(CAIRO_CFLAGS)
LIBS += -L$(buildlib) $(UI_LIBS) $(CAIRO_LIBS) -lipecanvas -lipecairo -lipe

all: $(TARGET)

win_sources = ipeview_win.cpp
qt_sources = ipeview_qt.cpp
moc_headers = ipeview_qt.h
gtk_sources = ipeview_gtk.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipeview.rc
	$(WINDRES) -i ipeview.rc -o $@ --include-dir=../ipe

else
resource = 
endif

$(TARGET): $(objects) $(resource)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/ipelets/lua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua ipelets (only for install)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
	symbols.lua search-replace.lua

all: 

install: 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)

ifdef MACOS

IPELETDIR = $(BUILDDIR)/Ipe.app/Contents/Resources/ipelets

app:
	$(INSTALL_DIR) $(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPTS) $(IPELETDIR)

endif

# --------------------------------------------------------------------

=== src/ipelets/qvoronoi/Makefile ===
# --------------------------------------------------------------------
# Makefile for qvoronoi ipelet
# Needs qhull library (www.qhull.org)
# On Ubuntu/Debian:  apt-get install libqhull-dev
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/qvoronoi.depend
include ../../common.mak

ifdef WIN32
QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull
QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull
else
QHULL_CFLAGS = -I/usr/include/qhull
QHULL_LIBS = -lqhull
endif

TARGET = $(call ipelet_target,qvoronoi)
LUASCRIPT = qvoronoi.lua

CPPFLAGS += -I../../include $(QHULL_CFLAGS)
LIBS += -L$(buildlib) $(QHULL_LIBS) -lipe 
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= qvoronoi.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #810188)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2016 11:09:34 +0100

ipe (7.1.10-1) unstable; urgency=medium

  * New upstream.
  * control: adjust build-dependencies.  Now builds with Qt5.
  * patches/fPIC.patch: Remove.  Applied upstream.
  * patches/default-browser.patch: New.  Configure to use sensible-browser.
  * patches/fix-moc.patch: New.  Temporary workaround for #805726.
  * patches/default-editor.patch: Fix error in patch.  Closes: #728480.

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Nov 2015 10:15:22 -0600

ipe (7.1.8-1) unstable; urgency=medium

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Sep 2015 09:27:23 -0500

=== debian/control ===
Source: ipe
Homepage: http://ipe.otfried.org/
Section: graphics
Priority: optional
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: sharutils,
	       debhelper (>= 9),
	       zlib1g-dev,
	       qtbase5-dev,
	       qtbase5-dev-tools,
	       libfreetype6-dev (>= 2.3.9),
	       libcairo2-dev,
	       libjpeg8-dev,
	       libpng-dev,
	       liblua5.2-dev,
	       gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 3.9.6

Package: ipe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
Recommends: lua5.2
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.2 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.1.10
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libipe7.1.10 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.1.10

%:
	dh $@ --sourcedirectory=src

install: fontmap.xml debian/ipetoipe

override_dh_install: fontmap.xml
	dh_install
	dh_install fontmap.xml usr/share/ipe/$(IPEVER)
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc
	dh_link usr/lib/libipelua.so.$(IPEVER) usr/lib/lua/5.1/ipe.so

fontmap.xml: fontmaps/gsfonts-fontmap.xml
	cp $< $@

# TODO: install and use wrapper to avoid issue #405294.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,$(MYIPELIBDIR),'
	chmod +x $@

# TODO: do we need the icon?
ipe.png: debian/ipe.png.uu
	uudecode -o $@ $<

## ipe 7.2.4

=== src/ipe/Makefile ===
--- 
+++ 
@@ -30,6 +30,8 @@
 moc_headers = appui_qt.h controls_qt.h
 win_sources = main_win.cpp appui_win.cpp pathview_win.cpp pagesorter_win.cpp
 gtk_sources = main_gtk.cpp appui_gtk.cpp
+cocoa_sources = main_cocoa.cpp appui_cocoa.cpp controls_cocoa.cpp \
+	pagesorter_cocoa.cpp
 
 ifdef WIN32
 CXXFLAGS += -mwindows
@@ -44,9 +46,21 @@
 resource = 
 endif
 
-$(TARGET): $(objects) $(resource)
+ifdef IPEUI_COCOA
+
+nib = $(RESOURCEDIR)/mainmenu.nib
+
+$(nib): mainmenu.xib
+	mkdir -p $(RESOURCEDIR)
+	ibtool --compile $(nib) mainmenu.xib
+
+else
+nib = 
+endif
+
+$(TARGET): $(objects) $(resource) $(nib)
 	$(MAKE_BINDIR)
-	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)
 
 clean:
 	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)
@@ -56,40 +70,28 @@
 
 -include $(DEPEND)
 
-RESOURCES = $(BUILDDIR)/Ipe.app/Contents/Resources
-
-ifdef IPEBUNDLE
+ifdef IPEAPP
 
 app:
-	$(INSTALL_DIR) $(RESOURCES)/scripts
-	$(INSTALL_DIR) $(RESOURCES)/lua
-	$(INSTALL_DIR) $(RESOURCES)/styles
-	$(INSTALL_DIR) $(RESOURCES)/icons
-	$(INSTALL_DIR) $(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
-	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCES)/scripts
-	$(INSTALL_FILES) lua/*.lua $(RESOURCES)/lua
-	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCES)/styles
-	$(INSTALL_FILES) icons/*.png $(RESOURCES)/icons
-	$(INSTALL_FILES) Info.plist $(BUILDDIR)/Ipe.app/Contents
-	$(INSTALL_FILES) ipe.icns $(RESOURCES)
+	$(INSTALL_DIR) $(RESOURCEDIR)/scripts
+	$(INSTALL_DIR) $(RESOURCEDIR)/lua
+	$(INSTALL_DIR) $(RESOURCEDIR)/styles
+	$(INSTALL_DIR) $(RESOURCEDIR)/icons
+	$(INSTALL_DIR) $(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCEDIR)/scripts
+	$(INSTALL_FILES) lua/*.lua $(RESOURCEDIR)/lua
+	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
+	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
-		$(BUILDDIR)/Ipe.app/Contents/SharedSupport/doc
-	$(INSTALL_PROGRAMS) ipe.sh $(BUILDDIR)/Ipe.app/Contents/MacOS
+		$(BUNDLEDIR)/SharedSupport/doc
 
-# This is for building a distributable bundle,
-# and assumes a specific build setup:
+endif
 
-distribution:
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpng16.16.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libpixman-1.0.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libfreetype.6.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/libcairo.2.dylib $(buildlib)
-	$(INSTALL_PROGRAMS) $(X11LIBS)/lib/liblua53.dylib $(buildlib)
-
-else
+ifndef IPEBUNDLE
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)

=== src/ipe/icons/Makefile ===
# --------------------------------------------------------------------
# Makefile for icons (only for OSX)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

all: 

ifdef IPEAPP

ICONDIR = $(RESOURCEDIR)/icons

icons = copy cut delete fit_objects fit_page fit_width		\
	grid_visible ipe keyboard mode_arc1 mode_arc2 mode_arc3	\
	mode_circle1 mode_circle2 mode_circle3 mode_ink		\
	mode_label mode_lines mode_marks mode_math mode_pan	\
	mode_paragraph mode_parallelogram mode_polygons         \
	mode_rectangles1 mode_rectangles2 mode_rectangles3      \
	mode_rotate                                             \
	mode_select mode_shredder mode_splinegons mode_splines	\
	mode_stretch mode_translate paste pen redo shift_key	\
	snapangle snapauto snapbd snapctl snapgrid snapint	\
	snapvtx stop undo zoom_in zoom_out


app:
	$(INSTALL_DIR) $(ICONDIR)
	for f in $(icons) ; do \
	  f1=$$f.png; f2=$$f@2x.png; \
	  f3=$${f}_32x32.png; f4=$${f}_32x32@2x.png; \
	  if [ ! -e $$f2 ]; then f2=""; fi; \
	  if [ ! -e $$f3 ]; then f3=""; fi; \
	  if [ ! -e $$f4 ]; then f4=""; fi; \
	  ft=$$f.tiff; \
	  tiffutil -catnosizecheck $$f1 $$f2 $$f3 $$f4 -out $(ICONDIR)/$$ft; \
	done

endif

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.4-1) unstable; urgency=medium

  * New upstream.
  * patches/build-nostrip.patch: Remove.  Applied upstream.
  * Refreshed other patches.

 -- Steve M. Robbins <smr@debian.org>  Fri, 24 Jun 2016 21:57:11 -0500

ipe (7.1.10-2) unstable; urgency=medium

  * patches/fix-moc.patch: Remove.  Use QT_SELECT to tell qtchooser which
    version of Qt we want.

  * control: Revert back to libjpeg-dev.  Appreciate the gentle prodding
    by all.  Closes: #805852, #814873.

 -- Steve M. Robbins <smr@debian.org>  Tue, 03 May 2016 23:04:20 -0500

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
 	       qtbase5-dev-tools,
 	       libfreetype6-dev (>= 2.3.9),
 	       libcairo2-dev,
-	       libjpeg8-dev,
+	       libjpeg-dev,
 	       libpng-dev,
 	       liblua5.2-dev,
 	       gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: ipe
 Architecture: any
@@ -49,7 +49,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.1.10
+Package: libipe7.2.4
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -63,7 +63,7 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.1.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libipe7.2.4 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.2.4

# Tell qtchooser which version we want.
export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=src

install: debian/ipetoipe

override_dh_install: 
	dh_install
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc

# TODO: install and use wrapper to avoid issue #405294.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,$(MYIPELIBDIR),'
	chmod +x $@

# TODO: do we need the icon?
ipe.png: debian/ipe.png.uu
	uudecode -o $@ $<

## ipe 7.2.6

=== src/ipe/Makefile ===
--- 
+++ 
@@ -84,14 +84,15 @@
 	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/tikz.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
 		$(BUNDLEDIR)/SharedSupport/doc
 
 endif
-
-ifndef IPEBUNDLE
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
@@ -111,8 +112,12 @@
 	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/presentation.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/decorations.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/note-paper.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/tikz.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
 
-endif
-
 # --------------------------------------------------------------------

## ipe 7.2.7

=== src/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	ipecairo \
 	iperender \
 	ipecanvas \
-	ipeview \
 	ipelua \
 	ipeui \
 	ipe
@@ -57,6 +56,8 @@
 
 app: all
 	$(MAKE) --directory=ipelets/lua app
+	$(MAKE) --directory=ipelets/qvoronoi app
 	$(MAKE) --directory=ipe app
+	$(MAKE) --directory=ipe/icons app
 
 # --------------------------------------------------------------------

=== src/ipe/Makefile ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
-	$(INSTALL_FILES) ../../styles/tikz.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
@@ -116,7 +116,7 @@
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/note-paper.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/tikz.isy \
+	$(INSTALL_FILES) ../../styles/tikz-shapes.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

=== src/ipelib/Makefile ===
--- 
+++ 
@@ -13,13 +13,10 @@
 CPPFLAGS += -I../include  
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
-else
-CPPFLAGS += -DIPEFONTMAP=\"$(IPEFONTMAP)\"
 endif
-CPPFLAGS += $(IPE_USE_ICONV) $(ZLIB_CFLAGS) $(ICONV_CFLAGS) \
-	$(JPEG_CFLAGS) $(PNG_CFLAGS)
+CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(ICONV_LIBS) $(PNG_LIBS)
+LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS)
 
 all: $(TARGET)
 
@@ -45,6 +42,7 @@
 	ipetoolbase.cpp \
 	ipepdfparser.cpp \
 	ipepdfwriter.cpp \
+	iperesources.cpp \
 	ipestyle.cpp \
 	ipesnap.cpp \
 	ipeutils.cpp \

=== src/ipelets/kgon/Makefile ===
# --------------------------------------------------------------------
# Makefile for kgon ipelet
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/kgon.depend
include ../../common.mak

TARGET = $(call ipelet_target,kgon)
LUASCRIPT = kgon.lua

CPPFLAGS += -I../../include
LIBS += -L$(buildlib) -lipe
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= kgon.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

# --------------------------------------------------------------------

=== src/ipelets/lua/Makefile ===
--- 
+++ 
@@ -14,13 +14,11 @@
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
 	$(INSTALL_FILES) $(LUASCRIPTS) $(INSTALL_ROOT)$(IPELETDIR)
 
-ifdef MACOS
-
-IPELETDIR = $(BUILDDIR)/Ipe.app/Contents/Resources/ipelets
+ifdef IPEAPP
 
 app:
-	$(INSTALL_DIR) $(IPELETDIR)
-	$(INSTALL_FILES) $(LUASCRIPTS) $(IPELETDIR)
+	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
+	$(INSTALL_FILES) $(LUASCRIPTS) $(RESOURCEDIR)/ipelets
 
 endif

=== src/ipelets/qvoronoi/Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 ifdef WIN32
 QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull
 QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull
+else ifdef MACOS
+QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull
+QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull
 else
-QHULL_CFLAGS = -I/usr/include/qhull
-QHULL_LIBS = -lqhull
+QHULL_CFLAGS ?= -I/usr/include/qhull
+QHULL_LIBS ?= -lqhull
 endif
 
 TARGET = $(call ipelet_target,qvoronoi)
@@ -45,4 +48,12 @@
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
 	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)
 
+ifdef IPEAPP
+
+app:
+	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
+	$(INSTALL_FILES) qvoronoi.lua $(RESOURCEDIR)/ipelets
+
+endif
+
 # --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.7-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix build issue with glibc >= 2.26
    Closes: #887693
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 14:23:21 +0100

ipe (7.2.7-2) unstable; urgency=medium

  * Team upload.
  * patches/wheel-zoom-debug.patch: New patch; removes unwanted noisy debug
    output. Closes: #851303.

 -- James Clarke <jrtc27@debian.org>  Wed, 18 Jan 2017 14:18:03 +0000

ipe (7.2.7-1) unstable; urgency=medium

  * New upstream.
  * Remove obsolete debian/ipe.png.uu.

 -- Steve M. Robbins <smr@debian.org>  Tue, 27 Dec 2016 21:42:30 -0600

ipe (7.2.6-1) unstable; urgency=medium

  * New upstream.
  * patches/default-browser.patch: Drop.  Now uses xdg-open for prefs.

 -- Steve M. Robbins <smr@debian.org>  Mon, 10 Oct 2016 04:00:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,33 @@
 Source: ipe
-Homepage: http://ipe.otfried.org/
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/ipe/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/ipe/
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: sharutils,
-	       debhelper (>= 9),
-	       zlib1g-dev,
-	       qtbase5-dev,
-	       qtbase5-dev-tools,
-	       libfreetype6-dev (>= 2.3.9),
-	       libcairo2-dev,
-	       libjpeg-dev,
-	       libpng-dev,
-	       liblua5.2-dev,
-	       gsfonts
+               debhelper (>= 11~),
+               zlib1g-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               libfreetype6-dev,
+               libcairo2-dev,
+               libjpeg-dev,
+               libpng-dev,
+               liblua5.3-dev,
+               gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
+Vcs-Git: https://salsa.debian.org/science-team/ipe.git
+Homepage: http://ipe.otfried.org/
 
 Package: ipe
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, texlive-latex-base, gsfonts
-Recommends: lua5.2
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         texlive-latex-base,
+         gsfonts,
+         xdg-utils
+Recommends: lua5.3
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -44,15 +48,16 @@
   * The text model is based on Unicode, and has been tested with Korean,
      Chinese, and Japanese.
  .
- Package lua5.2 is recommended if using Ipe with LaTeX.
+ Package lua5.3 is recommended if using Ipe with LaTeX.
  .
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.4
+Package: libipe7.2.7
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Ipe library used by ipelets
  This package provides a library used by Ipe and its extensions.
  Ipelets are plug-ins for Ipe that are used to add functionality to
@@ -63,7 +68,8 @@
 Package: libipe-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libipe7.2.4 (= ${binary:Version})
+Depends: ${misc:Depends},
+         libipe7.2.7 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
@@ -72,4 +78,3 @@
  to Ipe.
  .
  Ipe is the drawing editor for creating figures in PDF or PS formats.
-

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.2.7

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Tell qtchooser which version we want.
export QT_SELECT=qt5

%:
	rm -f build/doc/jquery.js
	dh $@ --sourcedirectory=src

install: debian/ipetoipe

override_dh_install: 
	dh_install
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc

# TODO: install and use wrapper to avoid issue #405294.
# Needs work: the real executable must be renamed.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,/usr/bin,'
	chmod +x $@

## ipe 7.2.9

=== src/Makefile ===
--- 
+++ 
@@ -55,9 +55,9 @@
 	$(MAKE) GOAL=install
 
 app: all
+	$(MAKE) --directory=ipe app
+	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
 	$(MAKE) --directory=ipelets/qvoronoi app
-	$(MAKE) --directory=ipe app
-	$(MAKE) --directory=ipe/icons app
 
 # --------------------------------------------------------------------

=== src/ipepresenter/Makefile ===
# --------------------------------------------------------------------
# Makefile for IpePresenter
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipepresenter
include ../common.mak

TARGET = $(call exe_target,ipepresenter)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

UIC=uic

all: $(TARGET)

sources = 
qt_sources = mainwindow_qt.cpp canvasview_qt.cpp timelabel_qt.cpp
moc_headers = mainwindow_qt.h canvasview_qt.h timelabel_qt.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

ifdef IPEUI_COCOA

nib = $(RESOURCEDIR)/mainmenu.nibn

$(nib): mainmenu.xib
	mkdir -p $(RESOURCEDIR)
	ibtool --compile $(nib) mainmenu.xib

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND) ui_mainwindow.h

$(DEPEND): Makefile ui_mainwindow.h
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

ui_%.h: %.ui
	$(UIC) $< > $@

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
--- 
+++ 
@@ -16,11 +16,16 @@
 
 all: $(TARGET)
 
-sources = ipeui_common.cpp 
+sources = ipeui_common.cpp
+cocoa_sources = ipeui_cocoa.cpp
 qt_sources = ipeui_qt.cpp
 moc_headers = ipeui_qt.h
 win_sources = ipeui_win.cpp
 gtk_sources = ipeui_gtk.cpp
+
+ifdef IPEUI_COCOA
+CXXFLAGS += $(IPEOBJCPP)
+endif
 
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)

=== debian/changelog ===
ipe (7.2.9-1) unstable; urgency=medium

  [ Steven Robbins ]
  * New upstream.
  * [b1a5fd4] Update packaging for IPE version 7.2.9.
  * [9bd4957] ipe depends on sensible-utils

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Jan 2019 23:43:18 -0600

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.7
+IPEVER = 7.2.9
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

## ipe 7.2.9.1%2Brb2

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
          ${shlibs:Depends},
          texlive-latex-base,
          gsfonts,
+	 sensible-utils,
          xdg-utils
 Recommends: lua5.3
 Suggests: texlive-latex-recommended
@@ -53,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.7
+Package: libipe7.2.9
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -69,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.7 (= ${binary:Version})
+         libipe7.2.9 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

## ipe 7.2.9.1+rb2

=== src/ipecanvas/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 all: $(TARGET)
 
 sources	= ipetool.cpp ipecanvas.cpp
+cocoa_sources = ipecanvas_cocoa.cpp ipeselector_cocoa.cpp
 win_sources = ipecanvas_win.cpp ipeselector_win.cpp
 gtk_sources = ipecanvas_gtk.cpp ipeselector_gtk.cpp
 qt_sources = ipecanvas_qt.cpp ipeselector_qt.cpp
@@ -37,6 +38,7 @@
 
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
+	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
 	$(INSTALL_FILES) *.h $(INSTALL_ROOT)$(IPEHEADERDIR)
 	$(INSTALL_SYMLINKS)

=== debian/changelog ===
ipe (7.2.9.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>  Thu, 28 Jan 2021 09:15:56 +0800

## ipe 7.2.13

=== src/Makefile ===
--- 
+++ 
@@ -20,8 +20,9 @@
 	ipecanvas \
 	ipelua \
 	ipeui \
-	ipe
-
+	ipe \
+	ipepresenter \
+	ipecurl
 
 ifdef IPEQVORONOI
 subdirs += ipelets/qvoronoi
@@ -43,6 +44,8 @@
 ipelua: ipelib
 ipescript: ipelib ipelua
 ipe: ipecanvas ipelua
+ipepresenter: ipecanvas
+ipecurl: ipelib
 
 $(subdirs):
 	$(MAKE) --directory=$@ $(GOAL)
@@ -59,5 +62,6 @@
 	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
 	$(MAKE) --directory=ipelets/qvoronoi app
+	$(MAKE) --directory=ipepresenter app
 
 # --------------------------------------------------------------------

=== src/ipe/Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
 CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
+endif
+
+ifdef IPECURL
+CPPFLAGS += -DIPECURL
 endif
 
 all: $(TARGET)
@@ -87,6 +91,7 @@
 	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
 	$(INSTALL_FILES) ../../build/doc/* \
@@ -118,6 +123,8 @@
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy \
 			 $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../styles/imperial.isy \
+			 $(INSTALL_ROOT)$(IPESTYLEDIR)
 	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
 
 # --------------------------------------------------------------------

=== src/ipecurl/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecurl
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecurl
include ../common.mak

TARGET = $(call exe_target,ipecurl)

CPPFLAGS += -I../include $(CURL_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CURL_LIBS)

ifdef IPECURL

all: $(TARGET)

sources	= ipecurl.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------
endif

=== src/ipelib/Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 CPPFLAGS += -I../include  
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
+endif
+ifdef IPE_NO_IPELIB_VERSION_CHECK
+CPPFLAGS += -DIPE_NO_IPELIB_VERSION_CHECK
 endif
 CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)

=== src/ipepresenter/Makefile ===
# --------------------------------------------------------------------
# Makefile for IpePresenter
# --------------------------------------------------------------------

BUNDLEDIR = $(BUILDDIR)/IpePresenter.app/Contents
OBJDIR = $(BUILDDIR)/obj/ipepresenter
include ../common.mak

TARGET = $(call exe_target,ipepresenter)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

all: $(TARGET)

sources = ipepresenter.cpp
win_sources = ipepresenter_win.cpp
cocoa_sources = ipepresenter_cocoa.cpp
qt_sources = ipepresenter_qt.cpp timelabel_qt.cpp
moc_headers = ipepresenter_qt.h timelabel_qt.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipepresenter.rc
	$(WINDRES) -i ipepresenter.rc -o $@ --include-dir=.

else
resource =
endif

ifdef IPEUI_COCOA
CXXFLAGS  += $(IPEOBJCPP)

nib = $(RESOURCEDIR)/mainmenu.nib

$(nib): mainmenu.xib
	ibtool --compile $(nib) mainmenu.xib

# libraries to link against are here
buildlib = $(BUILDDIR)/Ipe.app/Contents/Frameworks

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

ifdef IPEUI_COCOA
IPELIBS = $(BUILDDIR)/Ipe.app/Contents/Frameworks
APPLIBS = $(BUILDDIR)/IpePresenter.app/Contents/Frameworks
dll_symlinks = ln -sf lib$1.$(IPEVERS).dylib $(APPLIBS)/lib$1.dylib

app:
	$(INSTALL_DIR) $(RESOURCEDIR)
	$(INSTALL_DIR) $(APPLIBS)
	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
	$(INSTALL_FILES) ../ipe/ipe.icns $(RESOURCEDIR)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipe.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecairo.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecanvas.$(IPEVERS).dylib $(APPLIBS)
	$(call dll_symlinks,ipe)
	$(call dll_symlinks,ipecairo)
	$(call dll_symlinks,ipecanvas)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libpng16.16.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libpixman-1.0.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libfreetype.6.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libcairo.2.dylib $(APPLIBS)
endif

# --------------------------------------------------------------------

=== src/ipescript/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipescript
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipescript
include ../common.mak

TARGET = $(call exe_target,ipescript)

CPPFLAGS += -I../include -I../ipelua $(LUA_CFLAGS)
LIBS += -L$(buildlib) -lipelua -lipe $(LUA_LIBS) $(DL_LIBS)

ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
else
CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
CPPFLAGS += -DIPESCRIPTDIR=\"$(IPESCRIPTDIR)\"
endif

all: $(TARGET)

sources	= ipescript.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/ipe/icons/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	mode_label mode_lines mode_marks mode_math mode_pan	\
 	mode_paragraph mode_parallelogram mode_polygons         \
 	mode_rectangles1 mode_rectangles2 mode_rectangles3      \
-	mode_rotate                                             \
+	mode_rotate mode_shear mode_graph                       \
 	mode_select mode_shredder mode_splinegons mode_splines	\
 	mode_stretch mode_translate paste pen redo shift_key	\
 	snapangle snapauto snapbd snapctl snapgrid snapint	\

=== src/ipelets/lua/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include ../../common.mak
 
 LUASCRIPTS = move.lua goodies.lua align.lua euclid.lua \
-	symbols.lua search-replace.lua
+	symbols.lua search-replace.lua selectby.lua
 
 all:

=== debian/changelog ===
ipe (7.2.13-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:38 +0100

ipe (7.2.13-2) unstable; urgency=medium

  [ Steve Robbins ]
  * Adhere to environment PKG_CONFIG setting, to enable cross-build.
    Closes: #888522. Thanks to Helmut Grohne for the patch.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Jan 2020 13:23:26 -0600

ipe (7.2.13-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 7.2.13.  Closes: #942780.

 -- Steve M. Robbins <smr@debian.org>  Fri, 17 Jan 2020 12:48:55 -0600

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.9
+Package: libipe7.2.13
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -70,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.9 (= ${binary:Version})
+         libipe7.2.13 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.9
+IPEVER = 7.2.13
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
